//.################################################
//# Copyright  2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using System.Diagnostics;

namespace TestApplicationDomainModel.Objects
{
    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class DetailObject
    {
        public Guid ID { get; internal set; }

        public DetailObject()
        {
            this.MoreChildren = new List<DetailObject>();
        }

        public DetailObject(MasterObject parent)
            : this()
        {
            this.Parent = parent;
        }

        public string Name { get; set; }

        public MasterObject Parent { get; internal set; }

        public List<DetailObject> MoreChildren { get; private set; }

        public override string ToString()
        {
            return this.Name;
        }

    }
}
