//.################################################
//# Copyright  2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;

namespace TestApplicationDomainModel.Objects
{
    /// <summary>
    /// </summary>
    [Serializable]
    public class SubProductA : Product
    {
        /// <summary>
        /// This property should only be available on SubProductA
        /// </summary>
        [Number(IsCurrency = true)]
        public double Discount { get; set; }

        /// <summary>
        /// This is from the derived class
        /// </summary>
        public new string HiddenProperty { get; set; }

    }
}
